---
- name: Verify
  hosts: molecule-toolchain
  gather_facts: false
  tasks:
  - name: Import Variables via Tasks
    include_tasks:
      file: ../../../../import_vars.yml

  - import_tasks:
      file: ./verify_whitelister_load_balancer.yml

  - import_tasks:
      file: ./verify_xand_api_ingress.yml

  # There was an issue with regex only matching the first 46 characters (due to old libp2p format)
  - name: Check that the libp2p key is 52 characters long
    assert:
      that: libp2p_peering_id | length == 52

  - name: Check that the encryption key is between 42 and 44 characters long
    assert:
      that: ansible_local['encryption_key'].public_key | length >= 42 and ansible_local['encryption_key'].public_key | length <= 44
    when: ansible_local['encryption_key'].public_key is defined